// file scanner.h

#include <string>

extern char Look;
extern char Token;
extern string Value;


/*------------------------------------------------------------*/
/* Type Declarations */

typedef string Symbol;
typedef Symbol* TabPtr;
/*------------------------------------------------------------*/


void InitScanner();
void GetNum();
void GetName();
bool GetBoolean();
void Match(char);
void MatchString(string);
void GetChar(void);
void SkipWhite();
void NewLine();
void Comment();
void Scan();

#define  NOTFOUND  -1

extern int low;

int Lookup(TabPtr T, string s, int n);

