// KISS Compiler Version 0.1
// Distributed under GPL
// Author: Antonio Bonifati

// Notes: this is the code generator support routines.


/*------------------------------------------------------------*/
                          /* Codegen */


//#include "main.h"
#include "codegen.h"
#include "itoa.h"


/*------------------------------------------------------------*/
/* Variable Declarations */

int LCount;                   /* Label Counter */


/*------------------------------------------------------------*/
/* Output a String with Tab */

void Emit(string s)
{
   cout << TAB << s;
}


/*------------------------------------------------------------*/
/* Output a String with Tab and CRLF */

void EmitLn(string s)
{
   Emit(s);
   cout << '\n'; // or cout.put('\n');
}


/*------------------------------------------------------------*/
/* Generate a Unique Label */

string NewLabel()
{
   char S[33]; /* as doctors say :) */

   itoa(LCount, S);
   ++LCount;

   return('L' + (string)S);
}


/*------------------------------------------------------------*/
/* Post a Label To Output */

void PostLabel(string L)
{
   cout << L << ':' << endl;
}
/*------------------------------------------------------------*/


/*------------------------------------------------------------*/
/* Initialize */

void InitCodeGen()
{
   // LCount = 0; // this can be omitted
}

