// KISS Compiler Version 0.1
// Distributed under GPL
// Author: Antonio Bonifati
// email: kiss@clubnautilus.net

// KISS was invented by Jack W. Crenshaw
// he also write a tutorial about KISS implementation
// upon which this is based.
// I don't know if Jack is still alive. I couldn't find
// anything about him on the net, except that old tutorials.
// Anyway I want to thank you Jack, for what I've learned from you.


/****** this is a WIP (Work In Progress)
        EVERYONE who wants to help is welcomed ******/
        
// Notes: This is the main program.
// Note that this compiler can also be used interactively!
// The scanner and parser structure allow for this.
// (this was very useful to me during the testings).


/*------------------------------------------------------------*/
                          /* Main */

/* sorry for the C devotees, but i found C++
   string manipulation facilities to have
   a far simpler syntax than C. */
   
#include "main.h"
#include "codegen.h"
#include "scanner.h"
#include "prog.h"
#include "error.h"


/*------------------------------------------------------------*/
/* Initialize */
void Init()
{
   InitScanner();
   InitCodeGen();
   InitProg();
}

/*------------------------------------------------------------*/
/* Main Program */

int main()
{
   Init();
   Program();
   /* look for a clean ending */
   if (Look != NEWLINE) Abort("Unexpected data after '.'");

   return(EXIT_SUCCESS);
}
/*------------------------------------------------------------*/

