// main.h

// Notes: this file contains changeable parameters
// concerning the whole compiler.


/*------------------------------------------------------------*/
/* Constant Declarations */
/* not necessary, but i like to say TAB instead of '\t'
   which sounds a little cryptic */
#define TAB     '\t'
#define PERIOD  '.'
#define NEWLINE '\n'


/* max length of identifiers. identifiers longer than this
   in the source are simply truncated. be sure to specify
   a value that your assembler will support. */
#define IDMAXLEN 60

